#include "glass.inc"
#include "textures.inc"

#declare MyBlack = texture
{
	pigment {color rgb 0.025}
	//pigment {color rgb 1}
	finish
	{
		brilliance 1
		specular 0.9
		roughness 0.005
	}
}

#declare MyRed = texture
{
	pigment {color rgb <0.7, 0.0, 0.0>}
	finish {diffuse 0.7}
}

#declare MyWhite = texture
{
	pigment {color rgb <1, 1, 1>}
	finish {diffuse 0.7}
}

#declare MyGlass = texture
{
	pigment {color rgbf <1, 1, 1, 0.98>}
	//finish {Glass_Finish}
}

#declare MyLampGlass = texture
{
	Glass
}

#declare MyRedGlass = texture
{
	pigment {color rgbf <0.8, 0, 0, 1>}
	finish {F_Glass7}
}

#declare MyGreenGlass = texture
{
	pigment {color rgbf <0, 0.8, 0.6, 1>}
	finish {F_Glass7}
}

#declare MySand = texture
{
	pigment {color rgb <1, 1, 0.8>}
	finish {diffuse 0.8}
}

#declare MyMountains = texture
{
	pigment {color rgb <1, 1, 0.7>}
	finish {diffuse 0.5}
}

// Place "Count" objects of kind "Object" around the origin at distance "Radius".
#macro PlaceObjectsAtCircle(Object, Radius, Count)
	#local MyStep = 360.0 / Count;
	#local MyAngle = 0;
	#while (MyAngle < 360.0)
		object
		{
			Object
			translate x * Radius
			rotate y * MyAngle
		}
		#local MyAngle = MyAngle + MyStep;
	#end
#end
